package io.nexilis.service.data.repositories

import androidx.lifecycle.LiveData
import io.nexilis.service.data.daos.GroupMemberDao
import io.nexilis.service.data.entities.GroupMember
import io.nexilis.service.data.entities.MainEntity
import javax.inject.Inject

class GroupMemberRepository @Inject constructor(private val dao: GroupMemberDao) : Repository {

    val all: LiveData<List<GroupMember>> = dao.getAll()

    override suspend fun insert(entity: MainEntity) {
        dao.insert(entity as GroupMember)
    }
}